## org.eclipse.emf.cdo.eresource
Interface EresourceFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EresourceFactoryImpl

    public interface EresourceFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `EresourcePackage`

Field Summary
`static EresourceFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`CDOResource` `createCDOResource()` Returns a new object of class 'CDO Resource'.
`CDOResourceFolder` `createCDOResourceFolder()` Returns a new object of class 'CDO Resource Folder'.
`EresourcePackage` `getEresourcePackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final EresourceFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createCDOResourceFolder

    CDOResourceFolder createCDOResourceFolder()

  Returns a new object of class 'CDO Resource Folder'.

  Returns:
    a new object of class 'CDO Resource Folder'.
  Since:
    2.0

### createCDOResource

    CDOResource createCDOResource()

  Returns a new object of class 'CDO Resource'.

  Returns:
    a new object of class 'CDO Resource'.

### getEresourcePackage

    EresourcePackage getEresourcePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.